@media (max-device-width : 480px) {
  body {
    min-width: 100%;
  }

  .container {
    padding: 0 15px;
  }

  .header__inner {
    min-height: 90px;
  }
  
  .intro__container {
    min-height: 766px;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  
  .intro__container__imgContainer {
    display: flex;
    justify-content: center;
  }

  .intro__img {
    width: 70%;
    height: 70%;
  }
  
  .intro__text {
    padding: 23px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
  
    &__big {
      font-size: 29px;
      line-height: 32px;
      padding-bottom: 20px;
      width: 295px;
    }
  
    &__small {
      width: 236px;
      margin: 0 auto;
      font-size: 20px;
      line-height: 22px;
    }
  }
  
  .intro__arrow {
    padding-bottom: 36px;
  }
  
  .essence__headtext {
    padding-top: 45px;
    padding-left: 40px;
    padding-bottom: 40px;
  }
  
  .essence__headtext__small {
    width: 180px; 
    font-size: 20px;
  }
  
  .essence__headtext__big {
    font-size: 92px;
    line-height: 70px;
  }
  
  .imagesAbstract {
    display: flex;
    max-width: 100%;
    margin: 0 auto;
  }
  
  .imagesAbstract__col1 {
    flex-basis: 37%;
  }
  
  .imagesAbstract__col1 img {
    width: 100%;
    align-self: flex-start;
  }
  
  .imagesAbstract__col2 {
    height: auto;
    flex-basis: 42%;
    display: flex;
  
    img {
      width: 100%;
      height: auto;
    }
  }
  
  .imagesAbstract__col3 {
    align-self: flex-end;
    flex-basis: 21%;
  }
  
  .redcube {
    width: 100%;
    padding-top: 100%;
  }
  
  .essence__text {
    padding: 25px 40px 65px;
    font-size: 18px;
    line-height: 20px;
  }
  
  .howitworks__headtext {
      padding-left: 40px;
      padding-bottom: 25px;
  }
  
  .howitworks__headtext__small {
    width: 180px;
  }
  
  .howitworks__headtext__big {
    font-size: 60px;
    line-height: 70px;
  }
  
  .howitworks__text {
    padding: 0 40px 40px;
    font-size: 18px;
    line-height: 20px;
  }
  
  .abstract2 {
    padding: 0 40px;
  
    &__col1 {
      flex-basis: 59%;
    }
  
    &__col2 {
      flex-basis: 41%;
    }
  }
  
  .abstract2__col1__image {
    width: 100%;
    height: auto;
  }
  
  .abstract2__col1__container {
    width: 100%;
    max-height: 195px;
    height: auto;
    display: flex;
    gap: 10px;
  
    &__text {
      font-size: 20px;
      line-height: 24px;
      width: 60%;
      padding-top: 0px;
      display: flex;
      align-items: center;
      height: auto;
    }
  
    &__image {
      align-self: flex-end;
    }
  }
  
  .abstract2__col2__redcube {
    width: 49%;
    height: auto;
    padding-top: 49%;
  }
  
  .abstract2__col2__blackcube {
    width: 100%;
    height: auto;
    padding-top: 100%;
  }
  
  .conditions__intro {
    width: 70%;
    margin: 65px auto 0;
  
    p {
      font-size: 20px;
      line-height: 22px;
    }
  }
  
  .conditions__intro__line {
    width: 70%;
  }
  
  .conditions__headtext {
    width: 70%;
    margin: 25px auto 25px;
    font-size: 40px;
    line-height: 42px;
  }
  
  .conditions__maintext {
    margin: 0 40px 25px;
    font-size: 18px;
    line-height: 20px;
  
    &__addition {
      font-size: 16px;
      line-height: 20px;
    }
  
    &__line {
      width: 70%;
    }
  }
  
  .smallredcube {
    width: 10px;
    height: 10px;
  }
  
  .numbers {
    padding: 40px 40px;
  
    &__percent {
      font-size: 60px;
      line-height: 33px;
      color: #FFFFFF;
      padding-top: 0;
      padding-bottom: 10px;
  
      span {
        font-size: 24px;
      }
    }
  
    p {
      font-size: 18px;
      line-height: 20px;
      padding-bottom: 20px;
    }
  
    &__line {
      width: 70%;
      padding-top: 0;
    }
  }
  
  .formula {
    padding: 40px 40px;
  
    &__headtext {
  
      &__small {
        width: 200px; 
      }
      
      &__big {
        font-size: 60px;
        line-height: 64px;
        color: #000000;
        margin: 0;
      }
    }
  }
  
  .formula__scheme {
    margin: 25px auto 40px;
    justify-content: center;
  }

  .formula__scheme__item {
    margin-left: -32px;
  }
  
  .formula__line {
      width: 80%;
  }
  
  .formula__text {
    font-size: 18px;
    line-height: 20px;
  }
  
  .committent__abstract {
    width: 100%;
    padding: 0 40px 45px;
    margin-bottom: 5px;
  
    &__col1 {
      flex-basis: 58%;
  
      &__container {
        padding-right: 10%;
        padding-bottom: 20%;
        width: 100%;
  
        &__text {
          font-size: 20px;
          line-height: 22px;
          width: 60%;
        }
      }
  
      &__image {
        width: 100%;
        height: auto;
      }
    }
  
    &__col2 {
      flex-basis: 42%;
  
      &__image {
        padding-top: 75px;
        width: 100%;
        height: auto;
      }
  
      &__blackbox {
        width: 50%;
        height: auto;
        aspect-ratio: 1 / 1;
      }
    }
  }
  
  .committent__headtext1 {
    padding-left: 40px;
  
      &__small {
        width: 200px;
      }
      
      &__big {
        font-size: 46px;
        line-height: 54px;
      }
  }
  
  .committent__headtext2 {
    padding-left: 40px;
  
      &__small {
        width: 200px;
      }
      
      &__big {
        font-size: 60px;
        line-height: 89px;
      }
  }
  
  .committent__maintext {
    margin: 0 40px 45px;
    font-size: 18px;
    line-height: 20px;
  }
  
  .commissioner__abstract {
    width: 100%;
    margin: 0 auto 45px;
    padding: 0 40px;
  
    &__col1 {
      flex-basis: 53%;
  
      &__redcube {
        width: 35%;
        height: auto;
        aspect-ratio: 1 / 1;
      }
  
      &__image {
        width: 100%;
        height: auto;
      }
    }
  
    &__col2 {
      flex-basis: 11%;
      padding-top: 18.5%;
  
      &__blackcube {
        width: 100%;
        height: auto;
        aspect-ratio: 1 / 1;
      }
    }
  
    &__col3 {
      padding-top: 10%;
      flex-basis: 36%;
  
      &__image {
        width: 100%;
        height: auto;
      }
  
      &__text {
        padding-top: 25%;
        width: 60%;
        font-size: 20px;
        line-height: 22px;
      }
    }
  }
  
  .commissioner__headtext1 {
    padding-left: 40px;
  
      &__small {
        width: 200px;
      }
      
      &__big {
        font-family: 'SapStem';
        font-style: normal;
        font-weight: 400;
        font-size: 46px;
        line-height: 54px;
      }
  }
  
  .commissioner__headtext2 {
    padding-left: 40px;
  
      &__small {
        width: 200px; 
      }
      
      &__big {
        font-size: 60px;
        line-height: 89px;
      }
  }
  
  .commissioner__maintext {
    margin: 0 40px 45px;
    font-size: 18px;
    line-height: 20px;
  }
  
  .addictions__brands {
    padding: 45px 40px;
  
    &__headtext {
      font-size: 50px;
      line-height: 54px;
    }
  
    p {
      font-size: 20px;
      line-height: 22px;
    }
  }
  
  .addictions__blacklist {
    padding: 45px 40px;
  
    &__headtext {
      font-size: 50px;
      line-height: 54px;
    }
  
    &__mediumtext {
      font-size: 20px;
      line-height: 22px;
    }
  
    &__smalltext {
      font-size: 16px;
      line-height: 22px;
    }
  }
  
  .addictions__replica {
    padding: 45px 40px;
  
    &__headtext {
      font-size: 32px;
      line-height: 40px;
    }
  
    &__image {
      width: 80%;
      height: auto;
    }
  
    &__maintext {
      p {
        font-size: 18px;
        line-height: 20px;
      }
    }
  }
  
  .addictions__contract {
    padding: 45px 40px;
    font-size: 32px;
    line-height: 40px;
  }
  
  .modal__menu {
    top: 90px;
    height: auto;
    min-height: 766px;
    
    &__flexcontainer {
      padding: 45px 20px;
      display: flex;
      flex-direction: column;
      align-items: center;
      gap: 100px;
    }
  }
  
  .modal__contacts {
    top: 90px;
    height: auto;
    min-height: 766px;
    z-index: 2;
  
    &__flexcontainer {
      padding: 45px 40px;
  
      &__headtext {
        padding-bottom: 20px;
        margin-left: -5px;
  
        &__small {
          width: 200px;
        }
  
        &__big {
          font-size: 60px;
          line-height: 72px;
        }
      }
  
      &__item {
        display: flex;
        gap: 25px;
        padding-bottom: 25px;
        font-size: 20px;
        line-height: 24px;
  
        &:last-child {
          padding-bottom: 0;
          font-weight: 700;
          font-size: 28px;
          line-height: 28px;
        }
      }
    }
  }
}


@media (min-width: 481px) and (max-width: 719px) {
  body {
    min-width: 100%;
  }

  .container {
    padding: 0 15px;
  }

  .header__inner {
    min-height: 90px;
  }
  
  .intro__container {
    min-height: 1000px;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  
  .intro__container__imgContainer {
    display: flex;
    justify-content: center;
  }

  .intro__img {
    width: 70%;
    height: auto;
  }
  
  .intro__text {
    padding: 23px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
  
    &__big {
      font-size: 32px;
      line-height: 36px;
      padding-bottom: 20px;
      width: 345px;
    }
  
    &__small {
      width: 236px;
      margin: 0 auto;
      font-size: 20px;
      line-height: 22px;
    }
  }
  
  .intro__arrow {
    padding-bottom: 36px;
  }
  
  .essence__headtext {
    padding-top: 45px;
    padding-left: 40px;
    padding-bottom: 40px;
  }
  
  .essence__headtext__small {
    width: 180px; 
    font-size: 20px;
  }
  
  .essence__headtext__big {
    font-size: 92px;
    line-height: 70px;
  }
  
  .imagesAbstract {
    display: flex;
    max-width: 100%;
    margin: 0 auto;
  }
  
  .imagesAbstract__col1 {
    flex-basis: 37%;
  }
  
  .imagesAbstract__col1 img {
    width: 100%;
    align-self: flex-start;
  }
  
  .imagesAbstract__col2 {
    height: auto;
    flex-basis: 42%;
    display: flex;
  
    img {
      width: 100%;
      height: auto;
    }
  }
  
  .imagesAbstract__col3 {
    align-self: flex-end;
    flex-basis: 21%;
  }
  
  .redcube {
    width: 100%;
    padding-top: 100%;
  }
  
  .essence__text {
    padding: 25px 40px 65px;
    font-size: 18px;
    line-height: 20px;
  }
  
  .howitworks__headtext {
      padding-left: 40px;
      padding-bottom: 25px;
  }
  
  .howitworks__headtext__small {
    width: 180px;
  }
  
  .howitworks__headtext__big {
    font-size: 60px;
    line-height: 70px;
  }
  
  .howitworks__text {
    padding: 0 40px 40px;
    font-size: 18px;
    line-height: 20px;
  }
  
  .conditions__intro {
    width: 70%;
    margin: 65px auto 0;
  
    p {
      font-size: 20px;
      line-height: 22px;
    }
  }
  
  .conditions__intro__line {
    width: 70%;
  }
  
  .conditions__headtext {
    width: 70%;
    margin: 25px auto 25px;
    font-size: 40px;
    line-height: 42px;
  }
  
  .conditions__maintext {
    margin: 0 40px 25px;
    font-size: 18px;
    line-height: 20px;
  
    &__addition {
      font-size: 16px;
      line-height: 20px;
    }
  
    &__line {
      width: 70%;
    }
  }
  
  .smallredcube {
    width: 10px;
    height: 10px;
  }
  
  .numbers {
    padding: 40px 40px;
  
    &__percent {
      font-size: 60px;
      line-height: 33px;
      color: #FFFFFF;
      padding-top: 0;
      padding-bottom: 10px;
  
      span {
        font-size: 24px;
      }
    }
  
    p {
      font-size: 18px;
      line-height: 20px;
      padding-bottom: 20px;
    }
  
    &__line {
      width: 70%;
      padding-top: 0;
    }
  }
  
  .formula {
    padding: 40px 40px;
  
    &__headtext {
  
      &__small {
        width: 200px; 
      }
      
      &__big {
        font-size: 60px;
        line-height: 64px;
        color: #000000;
        margin: 0;
      }
    }
  }
  
/*  .formula__scheme {
    margin: 25px auto 40px;
    justify-content: center;
  }

  .formula__scheme__item {
    margin-left: -32px;
  }
  
  .formula__line {
      width: 80%;
  }
  
  .formula__text {
    font-size: 18px;
    line-height: 20px;
  }
*/ 

  .formula__scheme {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    max-width: 100%;
    align-items: flex-start;
    justify-content: center;
    margin-left: -22px;
    margin-top: 40px;
    margin-bottom: 50px;

    &__item {
      gap: 10px;

      &:first-child {
        padding-left: 22px;
      }

      &__container {

        &__brace {
          gap: 5px;

          &__big {
            font-size: 60px;
            line-height: 85px;
          }
      
          &__small {
            font-size: 18px;
            line-height: 20px;
            width: 110px;
          }
        }
      }
    }
  }

    .formula__line {
      width: 90%; 
  }

  .formula__text {
    font-size: 18px;
    line-height: 20px;
  }


  .committent__abstract {
    max-width: 483px;
    padding: 0 40px 45px;
    margin-bottom: 5px;
  
    &__col1 {
      flex-basis: 58%;
  
      &__container {
        padding-right: 10%;
        padding-bottom: 20%;
        width: 100%;
  
        &__text {
          font-size: 20px;
          line-height: 22px;
          width: 60%;
        }
      }
  
      &__image {
        width: 100%;
        height: auto;
      }
    }
  
    &__col2 {
      flex-basis: 42%;
  
      &__image {
        padding-top: 75px;
        width: 100%;
        height: auto;
      }
  
      &__blackbox {
        width: 50%;
        height: auto;
        aspect-ratio: 1 / 1;
      }
    }
  }
  
  .committent__headtext1 {
    padding-left: 40px;
  
      &__small {
        width: 200px;
      }
      
      &__big {
        font-size: 46px;
        line-height: 54px;
      }
  }
  
  .committent__headtext2 {
    padding-left: 40px;
  
      &__small {
        width: 200px;
      }
      
      &__big {
        font-size: 60px;
        line-height: 89px;
      }
  }
  
  .committent__maintext {
    margin: 0 40px 45px;
    font-size: 18px;
    line-height: 20px;
  }
  
  .commissioner__abstract {
    width: 100%;
    margin: 0 auto 45px;
    padding: 0 40px;
  
    &__col1 {
      flex-basis: 53%;
  
      &__redcube {
        width: 35%;
        height: auto;
        aspect-ratio: 1 / 1;
      }
  
      &__image {
        width: 100%;
        height: auto;
      }
    }
  
    &__col2 {
      flex-basis: 11%;
      padding-top: 18.5%;
  
      &__blackcube {
        width: 100%;
        height: auto;
        aspect-ratio: 1 / 1;
      }
    }
  
    &__col3 {
      padding-top: 10%;
      flex-basis: 36%;
  
      &__image {
        width: 100%;
        height: auto;
      }
  
      &__text {
        padding-top: 25%;
        width: 60%;
        font-size: 20px;
        line-height: 22px;
      }
    }
  }
  
  .commissioner__headtext1 {
    padding-left: 40px;
  
      &__small {
        width: 200px;
      }
      
      &__big {
        font-family: 'SapStem';
        font-style: normal;
        font-weight: 400;
        font-size: 46px;
        line-height: 54px;
      }
  }
  
  .commissioner__headtext2 {
    padding-left: 40px;
  
      &__small {
        width: 200px; 
      }
      
      &__big {
        font-size: 60px;
        line-height: 89px;
      }
  }
  
  .commissioner__maintext {
    margin: 0 40px 45px;
    font-size: 18px;
    line-height: 20px;
  }
  
  .addictions__brands {
    padding: 45px 40px;
  
    &__headtext {
      font-size: 50px;
      line-height: 54px;
    }
  
    p {
      font-size: 20px;
      line-height: 22px;
    }
  }
  
  .addictions__blacklist {
    padding: 45px 40px;
  
    &__headtext {
      font-size: 50px;
      line-height: 54px;
    }
  
    &__mediumtext {
      font-size: 20px;
      line-height: 22px;
    }
  
    &__smalltext {
      font-size: 16px;
      line-height: 22px;
    }
  }
  
  .addictions__replica {
    padding: 45px 40px;
  
    &__headtext {
      font-size: 32px;
      line-height: 40px;
    }
  
    &__image {
      width: 80%;
      height: auto;
    }
  
    &__maintext {
      p {
        font-size: 18px;
        line-height: 20px;
      }
    }
  }
  
  .addictions__contract {
    padding: 45px 40px;
    font-size: 32px;
    line-height: 40px;
  }
  
  .modal__menu {
    top: 90px;
    height: auto;
    min-height: 1010px;
    
    &__flexcontainer {
      padding: 90px 20px;
      display: flex;
      flex-direction: column;
      align-items: center;
      gap: 150px;
    }
  }
  
  .modal__contacts {
    top: 90px;
    height: auto;
    min-height: 1010px;
    z-index: 2;
  
    &__flexcontainer {
      padding: 75px 40px;
  
      &__headtext {
        padding-bottom: 60px;
        margin-left: -5px;
  
        &__small {
          width: 200px;
        }
  
        &__big {
          font-size: 60px;
          line-height: 72px;
        }
      }
  
      &__item {
        display: flex;
        gap: 25px;
        padding-bottom: 35px;
        font-size: 20px;
        line-height: 24px;
  
        &:last-child {
          padding-bottom: 0;
          font-weight: 700;
          font-size: 28px;
          line-height: 28px;
        }
      }
    }
  }
}

@media (min-width: 1200px) {
    
  .container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 120px;
  }

  .essence, .howitworks, .conditions, .formula, .committent, .commissioner {
    max-width: 1200px;
    margin: 0 auto;
  }

  .numbers__container, .addictions__replica, .addictions__brands__container, .addictions__blacklist__container, .addictions__contract__container {
    max-width: 1200px;
    margin: 0 auto;
    padding-left: 120px;
    padding-right: 120px;
  }

  .addictions__contract {
    padding: 76px 0 105px;
    text-align: center;
  }
    
  .modal__menu__flexcontainer {
    gap: 150px;

    &__links {
      display: flex;
      gap: 25px;
      align-items: center;
    }
  }
    
  .modal__contacts__flexcontainer {
    min-width: 1200px;
    margin: 0 auto;
    padding: 120px 120px 175px;
  }
}

.show {
  display: block;
}